clone.Chromosome {galgo} | R Documentation

## Clones itself and its genes

### Description

Clones itself and its genes. Objects in S3 and this package are passed by reference and any “pointer” to it will affect the original object. Therefore, you must clone an object first in order to preserve the original values.

### Usage

    ## S3 method for class 'Chromosome'
    clone(.O, ...)

### Value

Returns a new cloned object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Chromosome`. `Object`

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      cr2 <- cr
      generateRandom(cr2)
      cr2
      cr			# cr and cr2 are the very same object
      cr3 <- clone(cr2)
      generateRandom(cr3)
      cr3
      cr2			# now cr2 is different to cr3
      cr			# but cr2 is still the same than cr

[Package galgo version 1.4 Index]